<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-2">
<title>Moja strona WWW</title>
</head>
<body>
<div>
<?php

if(!isSet($_GET['imie']) || !isSet($_GET['nazwisko']) ||
   !isSet($_GET['rok_urodzenia']) || !isSet($_GET['miejsce_urodzenia'])){
  exit("Brak danych.</body></html>");
}

if($_GET['imie'] == '' || $_GET['nazwisko'] == '' ||
   $_GET['rok_urodzenia'] == '' || $_GET['miejsce_urodzenia'] == ''){
  exit("Brak danych.</body></html>");
}

if(isSet($_GET['id'])){
  $id = intval($_GET['id']);
}
else{
  $id = 0;
}

$imie = $_GET['imie'];
$nazwisko = $_GET['nazwisko'];
$rok_urodzenia = $_GET['rok_urodzenia'];
$miejsce_urodzenia = $_GET['miejsce_urodzenia'];

//tutaj dodaj procedury weryfikacji poprawności danych

if (!$db_lnk = mysql_connect("localhost", "php", "test")){
  echo('Wystapił błąd podczas próby połączenia z bazą danych...<br />');
  echo("</body></html>");
  exit;
}

if(!mysql_select_db('testphp')){
  mysql_close();
  echo('Wystąpił błąd podczas wyboru bazy danych: testphp <br />');
  echo("</body></html>");
  exit;
}

$query = "INSERT INTO osoba VALUES(";
$query .= "$id, '$imie', '$nazwisko', $rok_urodzenia, '$miejsce_urodzenia'";
$query .= ")";

if(!$result = mysql_query($query, $db_lnk)){
  mysql_close();
  echo('Wystąpił błąd: zapytanie zostało odrzucone...<br />');
  echo("</body></html>");
  exit;
}

$rowsNo = mysql_affected_rows($db_lnk);

echo("Liczba dodanych rekordów: $rowsNo <br />");

if(!mysql_close()){
  echo('Wystąpił błąd podczas zamykania połączenia z bazą...<br />');
}
?>
</div>
</body>
</html>
